package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFAG2Data {

    private Map<String, Object> params;
    
    public MWFAG2Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsOuappl() {
        return (String) params.get("RS_OUAPPL");
    }

    public Long rsOutrantyp() {
        return (Long) params.get("RS_OUTRANTYP");
    }

    public String rsOuappldesc() {
        return (String) params.get("RS_OUAPPLDESC");
    }

    public String rsOusubtyp() {
        return (String) params.get("RS_OUSUBTYP");
    }

    public String rsOustypdesc() {
        return (String) params.get("RS_OUSTYPDESC");
    }

    public String rsOuacct() {
        return (String) params.get("RS_OUACCT");
    }

    public String rsOuacex() {
        return (String) params.get("RS_OUACEX");
    }

    public String rsOuxrel() {
        return (String) params.get("RS_OUXREL");
    }

    public String rsOutype() {
        return (String) params.get("RS_OUTYPE");
    }

    public String rsOudesc() {
        return (String) params.get("RS_OUDESC");
    }

    public String rsOubrch() {
        return (String) params.get("RS_OUBRCH");
    }

    public String rsOustat() {
        return (String) params.get("RS_OUSTAT");
    }

    public String rsOucmcn() {
        return (String) params.get("RS_OUCMCN");
    }

    public String rsOucurr() {
        return (String) params.get("RS_OUCURR");
    }

    public java.util.Date rsOuopdt() {
        return (java.util.Date) params.get("RS_OUOPDT");
    }

    public Double rsOubal() {
        return (Double) params.get("RS_OUBAL");
    }

    public String rsOudist() {
        return (String) params.get("RS_OUDIST");
    }

    public java.util.Date rsOucldt() {
        return (java.util.Date) params.get("RS_OUCLDT");
    } 

}
